Page MenuHomePhabricator

Plan the future of Maniphest task relationships
Closed, ResolvedPublic

Description

Umbrella task for planning how tasks will be related in the future.

Broadly, we've seen requests for:

  • Expanding current relationships (blocking/blocks, mentions, merged) with new types of relationships (T8345/T4207): parent/child, related / see also, follower/follows.
  • Dependency trees instead of (or perhaps in addition to) dependency graphs (T4207).
  • Many new ways to search and view these relationships (T6638, T8126, etc).
  • Many new ways to edit these relationships (T8152, T5450, etc).
  • Complex changes between relationships (e.g., merging should merge dependencies in T3287).
  • Frequent confusion about which direction merges work in.
  • Frequent confusion about which direction "Edit Blocking Tasks" works in.

Related Objects

StatusAssignedTask
Resolvedepriestley
Openblc
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
ResolvedNone
OpenNone
OpenNone
Openepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Wontfixepriestley
Resolvedepriestley
ResolvedNone
OpenNone
ResolvedNone
Resolvedepriestley
Resolvedepriestley
Resolvedchad
Resolvedchad
Resolvedchad
Resolvedchad
Resolvedchad
Resolvedchad
OpenNone
ResolvedNone
DuplicateNone
Resolvedepriestley
Invalidchad
Invalid quinyx_martin
Resolvedepriestley
Resolvedepriestley
DuplicateNone
Resolvedchad

Event Timeline

epriestley updated the task description. (Show Details)Dec 22 2015, 12:42 AM
ftdysa added a subscriber: ftdysa.Dec 22 2015, 2:47 AM
fanis added a subscriber: fanis.Dec 23 2015, 12:30 AM
mna awarded a token.Jan 12 2016, 9:00 AM
ivo awarded a token.Mar 18 2016, 9:59 AM
urzds added a subscriber: urzds.May 17 2016, 6:20 PM
galendai added a subscriber: galendai.

I think we pretty much have clarity on stuff this task was tracking:

  • Expanding current relationships (blocking/blocks, mentions, merged) with new types of relationships (T8345/T4207): parent/child, related / see also, follower/follows.

No plans to add new relationships since there don't really seem to be any strong use cases and proposed relationships are very similar to existing relationships. We've slightly generalized "blocking / blocks" into "parent / subtask". We'll make mentions a little more formal in T8345.

  • Dependency trees instead of (or perhaps in addition to) dependency graphs (T4207).

We seem to have found a reasonable compromise for rendering graphs.

  • Many new ways to search and view these relationships (T6638, T8126, etc).

These specific issues are fixed. No plans to build some more general mega-graph-query thing at this time.

  • Many new ways to edit these relationships (T8152, T5450, etc).

Editing is a bit more powerful and consistent now.

  • Complex changes between relationships (e.g., merging should merge dependencies in T3287).

No changes here, that task can stay open for the moment. Possibly see also T10719, discussing which fields are copied when subtasks are created.

  • Frequent confusion about which direction merges work in.

I tried to clarify language here, and we also now present you with two options ("Merge Duplicates In", "Close As Duplicate") and force you to select the one you mean, which hopefully makes this less confusing. I haven't seen confusion since this change, although I wouldn't necessarily expect to know if it was fixed or not since it hasn't been all that long.

  • Frequent confusion about which direction "Edit Blocking Tasks" works in.

We've changed this language to be more clear ("Parent / Subtask") (and also more consistent and a little more general).

epriestley closed this task as Resolved.Jul 28 2016, 9:52 PM
epriestley claimed this task.
epriestley closed subtask Restricted Maniphest Task as Resolved.Jul 28 2016, 9:59 PM
This comment was removed by epriestley.